Update chat
curl --request PUT \
--url https://api.getcargo.io/v1/ai/chats/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"systemPrompt": "<string>",
"integrationSlug": "<string>",
"languageModelSlug": "<string>",
"connectorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pullRequestWakes": {
"fixFailedChecks": true,
"maxCheckFixAttempts": 5,
"addressReviews": true,
"resolveConflicts": true
}
}
'import requests
url = "https://api.getcargo.io/v1/ai/chats/{uuid}"
payload = {
"name": "<string>",
"systemPrompt": "<string>",
"integrationSlug": "<string>",
"languageModelSlug": "<string>",
"connectorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pullRequestWakes": {
"fixFailedChecks": True,
"maxCheckFixAttempts": 5,
"addressReviews": True,
"resolveConflicts": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
systemPrompt: '<string>',
integrationSlug: '<string>',
languageModelSlug: '<string>',
connectorUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
pullRequestWakes: {
fixFailedChecks: true,
maxCheckFixAttempts: 5,
addressReviews: true,
resolveConflicts: true
}
})
};
fetch('https://api.getcargo.io/v1/ai/chats/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getcargo.io/v1/ai/chats/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'systemPrompt' => '<string>',
'integrationSlug' => '<string>',
'languageModelSlug' => '<string>',
'connectorUuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'pullRequestWakes' => [
'fixFailedChecks' => true,
'maxCheckFixAttempts' => 5,
'addressReviews' => true,
'resolveConflicts' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getcargo.io/v1/ai/chats/{uuid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"systemPrompt\": \"<string>\",\n \"integrationSlug\": \"<string>\",\n \"languageModelSlug\": \"<string>\",\n \"connectorUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pullRequestWakes\": {\n \"fixFailedChecks\": true,\n \"maxCheckFixAttempts\": 5,\n \"addressReviews\": true,\n \"resolveConflicts\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getcargo.io/v1/ai/chats/{uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"systemPrompt\": \"<string>\",\n \"integrationSlug\": \"<string>\",\n \"languageModelSlug\": \"<string>\",\n \"connectorUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pullRequestWakes\": {\n \"fixFailedChecks\": true,\n \"maxCheckFixAttempts\": 5,\n \"addressReviews\": true,\n \"resolveConflicts\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getcargo.io/v1/ai/chats/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"systemPrompt\": \"<string>\",\n \"integrationSlug\": \"<string>\",\n \"languageModelSlug\": \"<string>\",\n \"connectorUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pullRequestWakes\": {\n \"fixFailedChecks\": true,\n \"maxCheckFixAttempts\": 5,\n \"addressReviews\": true,\n \"resolveConflicts\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"chat": {
"uuid": "<string>",
"slug": "<string>",
"traceUuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"agentUuid": "<string>",
"releaseUuid": "<string>",
"name": "<string>",
"trigger": "<unknown>",
"heartbeat": {
"intervalMinutes": 123,
"maxMessages": 123,
"prompt": "<string>"
},
"evaluator": {
"rubric": "<string>",
"threshold": 0.5
},
"activeStreamUuid": "<string>",
"creditsUsedCount": 123,
"harnessSlug": "claudeCode",
"stateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"envVars": [
{
"key": "<string>",
"type": "public",
"value": "<string>"
}
],
"runAsUserUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"systemPrompt": "<string>",
"integrationSlug": "<string>",
"languageModelSlug": "<string>",
"connectorUuid": "<string>",
"effort": "low",
"pullRequestWakes": {
"fixFailedChecks": true,
"maxCheckFixAttempts": 5,
"addressReviews": true,
"resolveConflicts": true
},
"closedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastMessage": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"agentUuid": "<string>",
"releaseUuid": "<string>",
"chatUuid": "<string>",
"userUuid": "<string>",
"status": "pending",
"errorMessage": "<string>",
"type": "user",
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"deletedAt": "<string>"
}
}
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}AI - Chats
Update chat
Update a chat session (PUT /ai/chats/).
PUT
/
ai
/
chats
/
{uuid}
Update chat
curl --request PUT \
--url https://api.getcargo.io/v1/ai/chats/{uuid} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"systemPrompt": "<string>",
"integrationSlug": "<string>",
"languageModelSlug": "<string>",
"connectorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pullRequestWakes": {
"fixFailedChecks": true,
"maxCheckFixAttempts": 5,
"addressReviews": true,
"resolveConflicts": true
}
}
'import requests
url = "https://api.getcargo.io/v1/ai/chats/{uuid}"
payload = {
"name": "<string>",
"systemPrompt": "<string>",
"integrationSlug": "<string>",
"languageModelSlug": "<string>",
"connectorUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"pullRequestWakes": {
"fixFailedChecks": True,
"maxCheckFixAttempts": 5,
"addressReviews": True,
"resolveConflicts": True
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
systemPrompt: '<string>',
integrationSlug: '<string>',
languageModelSlug: '<string>',
connectorUuid: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
pullRequestWakes: {
fixFailedChecks: true,
maxCheckFixAttempts: 5,
addressReviews: true,
resolveConflicts: true
}
})
};
fetch('https://api.getcargo.io/v1/ai/chats/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getcargo.io/v1/ai/chats/{uuid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PUT",
CURLOPT_POSTFIELDS => json_encode([
'name' => '<string>',
'systemPrompt' => '<string>',
'integrationSlug' => '<string>',
'languageModelSlug' => '<string>',
'connectorUuid' => '3c90c3cc-0d44-4b50-8888-8dd25736052a',
'pullRequestWakes' => [
'fixFailedChecks' => true,
'maxCheckFixAttempts' => 5,
'addressReviews' => true,
'resolveConflicts' => true
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.getcargo.io/v1/ai/chats/{uuid}"
payload := strings.NewReader("{\n \"name\": \"<string>\",\n \"systemPrompt\": \"<string>\",\n \"integrationSlug\": \"<string>\",\n \"languageModelSlug\": \"<string>\",\n \"connectorUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pullRequestWakes\": {\n \"fixFailedChecks\": true,\n \"maxCheckFixAttempts\": 5,\n \"addressReviews\": true,\n \"resolveConflicts\": true\n }\n}")
req, _ := http.NewRequest("PUT", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.put("https://api.getcargo.io/v1/ai/chats/{uuid}")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"name\": \"<string>\",\n \"systemPrompt\": \"<string>\",\n \"integrationSlug\": \"<string>\",\n \"languageModelSlug\": \"<string>\",\n \"connectorUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pullRequestWakes\": {\n \"fixFailedChecks\": true,\n \"maxCheckFixAttempts\": 5,\n \"addressReviews\": true,\n \"resolveConflicts\": true\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getcargo.io/v1/ai/chats/{uuid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"name\": \"<string>\",\n \"systemPrompt\": \"<string>\",\n \"integrationSlug\": \"<string>\",\n \"languageModelSlug\": \"<string>\",\n \"connectorUuid\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"pullRequestWakes\": {\n \"fixFailedChecks\": true,\n \"maxCheckFixAttempts\": 5,\n \"addressReviews\": true,\n \"resolveConflicts\": true\n }\n}"
response = http.request(request)
puts response.read_body{
"chat": {
"uuid": "<string>",
"slug": "<string>",
"traceUuid": "<string>",
"workspaceUuid": "<string>",
"userUuid": "<string>",
"agentUuid": "<string>",
"releaseUuid": "<string>",
"name": "<string>",
"trigger": "<unknown>",
"heartbeat": {
"intervalMinutes": 123,
"maxMessages": 123,
"prompt": "<string>"
},
"evaluator": {
"rubric": "<string>",
"threshold": 0.5
},
"activeStreamUuid": "<string>",
"creditsUsedCount": 123,
"harnessSlug": "claudeCode",
"stateUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"envVars": [
{
"key": "<string>",
"type": "public",
"value": "<string>"
}
],
"runAsUserUuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"systemPrompt": "<string>",
"integrationSlug": "<string>",
"languageModelSlug": "<string>",
"connectorUuid": "<string>",
"effort": "low",
"pullRequestWakes": {
"fixFailedChecks": true,
"maxCheckFixAttempts": 5,
"addressReviews": true,
"resolveConflicts": true
},
"closedAt": "<string>",
"createdAt": "<string>",
"updatedAt": "<string>",
"deletedAt": "<string>",
"lastMessage": {
"uuid": "<string>",
"workspaceUuid": "<string>",
"agentUuid": "<string>",
"releaseUuid": "<string>",
"chatUuid": "<string>",
"userUuid": "<string>",
"status": "pending",
"errorMessage": "<string>",
"type": "user",
"createdAt": "<string>",
"updatedAt": "<string>",
"finishedAt": "<string>",
"deletedAt": "<string>"
}
}
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}{
"errorMessage": "<string>",
"reason": "<string>"
}Authorizations
bearerAuthoauth2
Scopes
Headers
Client-generated key that makes this write safe to retry. Reusing the same key with the same request returns the original response instead of creating a second record. Reusing it with a different request returns 422. A concurrent retry while the first request is still running returns 409. Keys expire after 24 hours. Not accepted on multipart file uploads. Optional: a request without one is processed as it always was.
Maximum string length:
255Example:
"8e03978e-40d5-43e8-bc93-6894a57f9324"
Path Parameters
Body
application/json
Request body schema.
Was this page helpful?

